QGIS Application - Bug report #2790
Python error moving nodes with OSM plugin
2010-06-07 09:09 AM - cdavilam -

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Python plugins

Affected QGIS version:master Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 12850
Description

When using "Move feature" tool, after selecting a node, any mouse movement causes a Python error:

Traceback (most recent call last):
File "/usr/local/qgis/share/qgis/python/plugins/osm/map_tools/OsmMoveMT.py", line 587, in canvasMoveEvent
(deltaX,deltaY)=self.+getDeltaForPoint(event) # snapping is done in this function
File "/usr/local/qgis/share/qgis/python/plugins/osm/map_tools/OsmMoveMT.py", line 648, in +getDeltaForPoint
(self.snapFeat,self.snapFeatType)=self.dbm.findFeature(snappedPoint)
[[TypeError]]: 'NoneType' object is not iterable

Python version:
2.6.5+ (release26-maint, May 30 2010, 13:56:50)
[GCC 4.4.4]

QGIS version:
1.5.0-Trunk Trunk, 13635M

Python path: [/usr/local/qgis/share/qgis/python’, '/home/carlos/.qgis/python’, ''home/carlos/.qgis/python/plugins’,
'lusr/local/qgis/share/qgis/python/plugins’, /usr/lib/python2.6', '/usr/lib/python2.6/plat-linux2', ‘/usr/lib/python2.6/lib-tk',
'Jusr/lib/python2.6/lib-old', "/usr/lib/python2.6/lib-dynload', ‘/usr/lib/python2.6/dist-packages’, '/usr/lib/python2.6/dist-packages/PIL’,
'lusr/lib/python2.6/dist-packages/gst-0.10", /ust/lib/pymodules/python2.6', '/usr/lib/python2.6/dist-packages/gtk-2.0',
'fusr/lib/pymodules/python2.6/gtk-2.0', '/usr/local/lib/python2.6/dist-packages', u'’home/carlos/.qgis//python/plugins’,
'/usr/local/qgis/share/qgis/python/plugins/fTools/tools']

History

#1 - 2010-06-07 09:29 AM - Borys Jurgiel

revert accidental change

#2 - 2010-06-08 12:51 AM - springmeyer -

I've seen this on every platform I've tested on, linux, osx, and window XP/7, so changing the platform to ALL.

Seems critical to fix this before release, or make the plugin able to be updated somehow?

#3 - 2011-12-16 01:56 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-03-27 02:06 PM - Mike Evans
- Crashes QGIS or corrupts data set to No
- Affected QGIS version set to master

Seems worse with 1.7.4, at least | can do some editing with 1.7.1. Both from Fedora rpms.

#5 - 2012-04-16 06:24 AM - Paolo Cavallini
- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 12:02 PM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2013-03-12 04:31 PM - Martin Dobias
- Pull Request or Patch supplied set to No
- Resolution set to fixed

- Status changed from Open to Closed

The new OpenStreetMap support coming in 2.0 does not allow editing and uploading of OSM data. The current plugin with editing support has been

removed.
